Skip to main content
POST
Get URL Statistics

Path Parameters

shortCode
string
required

The short code of the URL. Can represent the short code of both regular and emoji URLs.

Body

application/x-www-form-urlencoded
password
string

Password of the shortened URL if it's password protected. Required only for password-protected URLs.

Example:

"Example@12"

Response

URL statistics retrieved successfully

_id
string

The short code of the shortened URL

short_code
string

The short code of the shortened URL

url
string<uri>

Original long URL that the short link redirects to

total-clicks
integer

Total number of clicks since the short link was created

total_unique_clicks
integer

Total number of unique clicks since the short link was created

creation-date
string<date>

Date when the short link was created

last-click
string<date-time> | null

Timestamp of the last time the short link was accessed

last-click-browser
string | null

Last browser used to access the short link

last-click-os
string | null

Last operating system used to access the short link

average_daily_clicks
number<float>

Average clicks per day since the link was created

average_weekly_clicks
number<float>

Average clicks per week since the link was created

average_monthly_clicks
number<float>

Average clicks per month since the link was created

average_redirection_time
number<float>

Average redirection time of the short link in milliseconds

max-clicks
integer | null

Maximum clicks set by the user

password
string | null

Password set by the user

expired
boolean | null

Whether the link has expired

block-bots
boolean

Whether bots are blocked from accessing the short link

counter
object

Data about clicks per day since the link was created

unique_counter
object

Data about unique clicks per day since the link was created

browser
object

Data about the browsers used to access the short link

unique_browser
object

Data about unique browsers used to access the short link

os_name
object

Data about the operating systems used to access the short link

unique_os_name
object

Data about unique operating systems used to access the short link

country
object

Data about the countries from which the short link was accessed

unique_country
object

Data about unique countries from which the short link was accessed

referrer
object

Data about the referrers from which the short link was accessed

unique_referrer
object

Data about unique referrers from which the short link was accessed

bots
object

Data about the bots that accessed the short link